The Perfect Server - Debian 9 (Stretch) - Add PHP 5.3?

Discussion in 'Tips/Tricks/Mods' started by JohnnyBeGood, Oct 10, 2017.

  1. JohnnyBeGood

    JohnnyBeGood Member

    Thanks for the reply!

    This is their response regarding Debian 9:
    I already have working ESXi 6.5 and can install VMs so I will delete Debian 9 and create Debian 8 VM.
    Quick question, VM that is available from https://www.howtoforge.com/list-of-downloadable-vmware-images
    is Debian 8 is it ok to do
    apt-get dist-upgrade so that it upgrades to Debian 8.8? will it mess up ie. PHP 5.3?
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Just use "apt-get update && apt-get upgrade" to update within the debian 8.x versions. Dist upgrades are needed when you want to update from Debian 8 to 9.

    Debian 8.9 ships with 5.6.30-0+deb8u1 at the moment as far as I know and not PHP 5.3.
     
  3. ztk.me

    ztk.me ISPConfig Developer ISPConfig Developer

    if you've compiled php 5.3 on that machine and do dist-upgrade ( which is safe if you have the specific release name in your sources.list and no shortcuts like "stable" ) and parts are upgraded like zlib-dev or graphic libraries and who knows what - you should recompile against newer versions usually.
     
  4. JohnnyBeGood

    JohnnyBeGood Member

    Thanks for providing those commands, I need to update to 8.x

    So I cannot follow this tutorial to get PHP 5.3?
    https://www.howtoforge.com/how-to-u...pm-and-fastcgi-with-ispconfig-3-debian-wheezy
     
  5. ztk.me

    ztk.me ISPConfig Developer ISPConfig Developer

  6. JohnnyBeGood

    JohnnyBeGood Member

    Thanks! I will tackle this in the next couple of days.
     
  7. ztk.me

    ztk.me ISPConfig Developer ISPConfig Developer

    let us know if you have any issues :)
     
  8. JohnnyBeGood

    JohnnyBeGood Member

    I sure will :) Hope I will have to report good news with no issues!
     
  9. ztk.me

    ztk.me ISPConfig Developer ISPConfig Developer

    I thought about scanning redhat repo and debian source packages if I can find some more interesting patches missing in upstream maybe, but not today anymore.
     
  10. JohnnyBeGood

    JohnnyBeGood Member

    Relax, its weekend! You deserve it :)
     
  11. ztk.me

    ztk.me ISPConfig Developer ISPConfig Developer

    hmm yeah I might do some actual work aswell but still, I love this kind of stuff :)
     
    JohnnyBeGood likes this.
  12. JohnnyBeGood

    JohnnyBeGood Member

    Hi,
    I started to follow your instructions to install PHP 5.3 from this post (btw, I don't need postgresql support) and I ran into first trouble, do I need to add something to /etc/apt/sources.list ?

    Code:
    [email protected]:~# apt-get install libbz2-dev libxml2-dev libcurl4-openssl-dev libjpeg-dev libpng-dev libxpm-dev libfreetype6-dev libc-client2007e-dev libkrb5-dev libmcrypt-dev libpq-dev libmariadbclient-dev-compat build-essential libxml2-dev libcurl4-openssl-dev libpcre3-dev libbz2-dev libjpeg-dev libpng-dev libfreetype6-dev libmcrypt-dev libmhash-dev freetds-dev libmariadbclient-dev-compat unixodbc-dev libxslt1-dev libfcgi-dev libfcgi0ldbl libmcrypt-dev libssl-dev
    Reading package lists... Done
    Building dependency tree      
    Reading state information... Done
    Note, selecting 'libpng12-dev' instead of 'libpng-dev'
    Note, selecting 'libpng12-dev' instead of 'libpng-dev'
    E: Unable to locate package libmariadbclient-dev-compat
    E: Unable to locate package libmariadbclient-dev-compat
    [email protected]:~#
    
     
  13. ztk.me

    ztk.me ISPConfig Developer ISPConfig Developer

  14. JohnnyBeGood

    JohnnyBeGood Member

    That would be awesome if you could make howto post for Debian 8.9! I have to stick with 8 because I can't go with 9 due to Centova Cast compatibility. Thanks for your time!
     
  15. JohnnyBeGood

    JohnnyBeGood Member

    Hi,

    Can someone please post how-to add PHP 5.3 for Debian 8.9?
     
  16. ztk.me

    ztk.me ISPConfig Developer ISPConfig Developer

    ah man totally forgot this - can't promise anything but I keep a note
     
  17. JohnnyBeGood

    JohnnyBeGood Member

    No worries. I had someone help me get it to work with PHP 7. Thanks for the reply!
     

Share This Page